# 64bit spec-file
#
# PCLinuxOS Copyright by Bill Reynolds (Texstar)

%define name		wallpaper-theme-pclinuxos
%define pname		PCLinuxOS-2019
%define version		2.0.1
%define release		%mkrel 5

Name:			%{name}
Version:		%{version}
Release:		%{release}
Summary:		UfficioZero Default Wallpaper Theme 2019
URL:			http://www.ufficiozero.org
Group:			Graphical desktop/KDE5
License:		GPL v3
Source:			%{name}-%{version}.tar.xz
Source1:        pclinuxos-2016.jpg
Source2:        pclinuxos-2019.jpg
BuildRoot:		%{_tmppath}/%{name}-%{version}-%{release}
BuildArch:		noarch
Obsoletes:		wallpaper-theme-default
Provides:		wallpaper-theme-default = %version-%release

%description
%{summary}

%prep
%setup -q

%install
%__rm -rf %buildroot

install -d -m 755 %buildroot%{_datadir}/wallpapers
cp -fr * %buildroot%{_datadir}/wallpapers

install -m 0644 %SOURCE1 %buildroot%{_datadir}/wallpapers
install -m 0644 %SOURCE2 %buildroot%{_datadir}/wallpapers

%posttrans
rm -rf /var/tmp/kdecache-*/plasma-wallpapers

if [ ! -d %{_datadir}/wallpapers/Default ]; then
mkdir -p %{_datadir}/wallpapers/Default
fi

cd %{_datadir}/wallpapers/Default
cat > metadata.desktop << "EOF"
[Desktop Entry]
Name=Default
EOF
rm -f contents
ln -fs ../%{pname}/contents contents

%clean
rm -rf ${RPM_BUILD_ROOT}

%files
%defattr(-,root,root,-)
%{_datadir}/wallpapers/%{pname}/*
%dir %{_datadir}/wallpapers/%{pname}
%{_datadir}/wallpapers/pclinuxos-2016.jpg
%{_datadir}/wallpapers/pclinuxos-2019.jpg

%changelog
* Thu May 12 2022 adrianomorselli <dev@ufficiozero.org> 2.0.1-5ufficiozero2022
- first create for Grazzano (Visconti)

* Sun May 16 2021 adrianomorselli <dev@ufficiozero.org> 2.0.1-4ufficiozero2021
- added same wallpaper and removed codename

* Fri Jul 23 2020 adrianomorselli <adrianomorselli> 2.0.1-3ufficiozero2020
- new wallpapers for Bergamo codename

* Mon Jun 01 2020 adrianomorselli <adrianomorselli> 2.0.1-2.1ufficiozero2020
- fixed wallpaper

* Tue May 26 2020 adrianomorselli <adrianomorselli> 2.0.1-2ufficiozero2020
- new wallpaper

* Sat May 19 2020 adrianomorselli <adrianomorselli> 2.0.1-1.1ufficiozero2020
- rebuild for ufficiozero

* Tue Mar 19 2019 tex 2.0.1-1pclos2019
- fix update

* Sat Feb 23 2019 tex 2.0.0-3pclos2019
- update

* Thu Jun 19 2014 bb <bb> 2.0.0-2pclos2014
- obsolete wallpaper-theme-default

* Wed Jun 18 2014 bb <bb> 2.0.0-1pclos2014
- update

* Tue Jul 16 2013 Texstar <texstar at gmail.com> 1.1-2pclos2013
- fix rpm group

* Wed Mar 27 2013 pinoc <vogtpet at gmail.com> 1.1-1pclos2013
- new images for final 64
- added post to set to Default so it complies with kde4-config

* Tue Jul 17 2012 Neal <nealbrks0 at gmail dot com> 1.0-1pclos2012
- process

* Tue Jul 17 2012 Archie Arevalo <pclinuxos.ph at gmail.com> 1.0-1_archie_2012
- Create package
